GLA11Y(1)

NAME
gla11y - Check accessibility of glade .ui files

SYNOPSIS
gla11y [-p] [-g SUPPR_FILE] [-s SUPPR_FILE] [-f SUPPR_FILE] [-P PREFIX] [-o LOG_FILE] [file ...]

DESCRIPTION
`gla11y' checks accessibility of glade .ui files

-p Print XML class path instead of line number

-g Generate suppression file SUPPR_FILE

-s Suppress warnings given by file SUPPR_FILE, but count them

-f Suppress warnings given by file SUPPR_FILE completely

-P Remove PREFIX from file names in warnings

-o Also prints errors and warnings to given file

--widgets-FOO [+][CLASS1[,CLASS2[,...]]]

    Give or extend one of the lists of widget classes, where FOO can be: - toplevel : widgets to be considered toplevel windows - ignored : widgets which do not need labelling (e.g. GtkBox) - suffixignored : suffixes of widget classes which do not need labelling - needlabel : widgets which always need labelling (e.g. GtkEntry) - buttons : widgets which need their own label but not more (e.g. GtkButton) - labels : widgets which provide labels (e.g. GtkLabel)

--widgets-print print default widgets lists

--enable-all
    enable all warnings/dofatals (default)

--disable-all
    disable all warnings/dofatals

--fatal-all
    make all warnings dofatals

--not-fatal-all
    do not make all warnings dofatals (default)

--enable-type=TYPE
    enable warning/fatal type TYPE

--disable-type=TYPE
    disable warning/fatal type TYPE

--fatal-type=TYPE
    make warning type TYPE a fatal

--not-fatal-type=TYPE make warning type TYPE not a fatal

--enable-widgets=CLASS
    enable warning/fatal type CLASS

--disable-widgets=CLASS
    disable warning/fatal type CLASS

--fatal-widgets=CLASS
    make warning type CLASS a fatal

--not-fatal-widgets=CLASS make warning type CLASS not a fatal

--enable-specific=TYPE.CLASS
    enable warning/fatal type TYPE for widget class CLASS

--disable-specific=TYPE.CLASS
    disable warning/fatal type TYPE for widget class CLASS

--fatal-specific=TYPE.CLASS
    make warning type TYPE a fatal for widget class CLASS

--not-fatal-specific=TYPE.CLASS make warning type TYPE not a fatal for widget
    class CLASS

--disable-orphan-labels
    only warn about orphan labels when there are orphan widgets in the same context

By default, all warnings are considered fatal, except a few kinds (duplicate-mnemonic, labelled-by-and-mnemonic, orphan-label) which could be only doubtful

REPORTING BUGS
Report bugs to <bugs@hypra.fr>